MARTe2-core - User story #112

MARTe-EX-F-1.2.10: A framework developer shall be capable of querying the identity of the caller
thread.

29.05.2015 14:18 - André Neto

Status: Closed Start date:
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 2.00 hours
Target version: 0.2 Spent time: 0.00 hour
Git branch (link): SVN commit
(link/?p=rev):
Git merge to develop
(link):
Description
See #160

Implement requirement MARTe-EX-F-1.2.10 based on the original MARTe implementation

Note: Being able to know which thread is executing a given part of the code allows to interact with it and possible update the thread
properties (e.g. priority).

Source code files modified

See #109

Requirements review

N/A

Architecture & design review

N/A

Code and documentation review
Date of the review: 18/06/2015

Person who did the review: lvan Herrero

Result of review: PASS

List of non-conformities: N/A

Unit test review

Date of the review: 01/07/2015

Person who did the review: lvan Herrero
Result of coverage tests review: FAIL
Result of functional tests review: FAIL
Result of review: FAIL

List of non-conformities:
Unit tests reviewed on #109

Integration test review

N/A

Acceptance test review

N/A

Associated revisions

Revision 67764feb - 11.06.2015 07:56 - Giuseppe Ferro
Implemented threads functionalities described in redmine #103 #104 #112 #107 #108 #111 #105 #106 #110 #109

Revision f048da13 - 17.06.2015 12:10 - Giuseppe Ferro

Moved THREADS_DEFAULT_STACKSIZE in GeneralDefinitionsOS.h.
Formatted code with new templates.

Fixed errors accordingly with the revision.

#109 #110 #106 #105 #111 #108 #107 #112 #113 #104 #103

Revision 5d7c7a45 - 18.06.2015 08:09 - Giuseppe Ferro

Fixed errors accordingly with revision.
#103 #104 #112 #107 #108 #111 #105 #106

Revision 56f896af - 23.06.2015 16:59 - Giuseppe Ferro

Added Threads and ThreadsDatabase tests.
#110 #123 #103 #104 #112 #107 #108 #111 #106 #105 #109 #113

Revision a1ee0477 - 25.06.2015 13:37 - Giuseppe Ferro

Added Threads unit tests.
Renamed previous tests because they are integration tests.
#110 #1283 #103 #104 #112 #107 #108 #111 #106 #105 #109 #113

History

#1 - 03.06.2015 10:53 - Riccardo Vitelli

- Subject changed from MARTe-EX-F-1.2.10: A framework developer shall be capable of querying which thread is executing any section of code. to
MARTe-EX-F-1.2.10: A framework developer shall be capable of querying the identity of the caller thread.

- Target version changed from Backlog to 0.1
- Start date deleted (29.05.2015)
- Estimated time set to 2.00 h

#2 - 08.06.2015 09:26 - Riccardo Vitelli

- Status changed from New to Arch: Rev

#3 - 08.06.2015 09:27 - Riccardo Vitelli

- Assignee set to André Neto

#4 - 08.06.2015 13:16 - André Neto

- Description updated

#5 - 08.06.2015 17:54 - Riccardo Vitelli
- Status changed from Arch: Rev to Code: Impl

#6 - 08.06.2015 17:54 - Riccardo Vitelli

- Assignee changed from André Neto to Giuseppe Ferro

#7 - 12.06.2015 10:29 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev
#8 - 12.06.2015 11:16 - Riccardo Vitelli

- Assignee changed from Giuseppe Ferro to Ivan Herrero

#9 - 17.06.2015 09:46 - Ivan Herrero

- Description updated

#10 - 17.06.2015 09:54 - lvan Herrero

- Description updated

#11 - 18.06.2015 09:48 - lvan Herrero

- Assignee changed from Ivan Herrero to Giuseppe Ferro

#12 - 18.06.2015 17:15 - Ivan Herrero
- Description updated
- Assignee deleted (Giuseppe Ferro)

#13 - 18.06.2015 17:15 - Ivan Herrero
- Status changed from Code: Rev to Unit: Impl

#14 - 18.06.2015 18:18 - Ilvan Herrero

Code and documentation review passed. Unit testing implementation pending.

#15 - 25.06.2015 17:22 - Riccardo Vitelli
- Status changed from Unit: Impl to Unit: Rev

#16 - 01.07.2015 16:53 - Ivan Herrero
- Description updated

- Assignee set to Ivan Herrero

Unit test review made on revision 8064124 [FAIL].

Note: It is currently being refactored.

#17 - 02.07.2015 18:06 - Riccardo Vitelli

- Target version changed from 0.1 to 0.2

#18 - 08.07.2015 10:48 - lvan Herrero

- Description updated

#19 - 08.07.2015 11:01 - lvan Herrero

- Description updated

#20 - 16.07.2015 09:27 - Riccardo Vitelli
- Status changed from Unit: Rev to Code: Impl

#21 - 16.07.2015 09:28 - Riccardo Vitelli

- Assignee deleted (lvan Herrero)

#22 - 29.07.2015 15:13 - Riccardo Vitelli
- Description updated

#23 - 29.07.2015 15:13 - Riccardo Vitelli
- Status changed from Code: Impl to Closed
